net.corda.node.services.network

## Interface NetworkMapService

- All Known Implementing Classes:
    AbstractNetworkMapService, InMemoryNetworkMapService, PersistentNetworkMapService

      public NetworkMapService

  A network map contains lists of nodes on the network along with information about their identity keys, services they provide and host names or IP addresses where they can be connected to. This information is cached locally within nodes, by the `interface NetworkMapCache`. Currently very basic consensus controls are applied, using signed changes which replace each other based on a serial number present in the change.

  See Also:
    `interface NetworkMapCache`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `NetworkMapService.Companion`
    `static class` | `NetworkMapService.FetchMapRequest`
    `static class` | `NetworkMapService.FetchMapResponse`
    `static class` | `NetworkMapService.QueryIdentityRequest`
    `static class` | `NetworkMapService.QueryIdentityResponse`
    `static class` | `NetworkMapService.RegistrationRequest`
    `static class` | `NetworkMapService.RegistrationResponse`
    `static class` | `NetworkMapService.SubscribeRequest`
    `static class` | `NetworkMapService.SubscribeResponse`
    `static class` | `NetworkMapService.Update`
    `static class` | `NetworkMapService.UpdateAcknowledge`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NetworkMapService.Companion` | `Companion`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<net.corda.core.node.NodeInfo>` | `getNodes()`

- - ### Field Detail

    - #### Companion

          static NetworkMapService.Companion Companion

  - ### Method Detail

    - #### getNodes

          java.util.List<net.corda.core.node.NodeInfo> getNodes()